%define version	20071231
%define number	1.2.1

Summary:	Electronics schematics editor
Name: 		geda-gschem
Version:	%{version}
Release: 	%mkrel 1
Source:		%{name}-%{number}.tar.gz
Url:		http://www.geda.seul.org
License:	GPL 
Group: 		Sciences/Other
BuildRoot:  	%{_tmppath}/%name
Requires:	geda-symbols
BuildRequires: 	X11-devel
BuildRequires: 	geda-symbols = %version
BuildRequires: 	gtk+2-devel
BuildRequires: 	libgeda-devel = %version
BuildRequires: 	libgtk+extra-devel

%description
Gschem is an electronics schematic editor. It is part of the gEDA project.

%prep
%setup -q -n %{name}-%{number}

%build
%configure
%make all

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std
install -d $RPM_BUILD_ROOT%{_datadir}/gEDA/examples
install -m 644 examples/*.sch $RPM_BUILD_ROOT%{_datadir}/gEDA/examples

rm -fr %buildroot%_datadir/doc

%find_lang %name

%clean
rm -Rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%dir %{_datadir}/gEDA
%doc AUTHORS BUGS ChangeLog COPYING README
%doc docs/{*.png,*.txt,*.html}
%{_bindir}/gschem
%{_bindir}/gschemdoc
%{_mandir}/man*/*
%{_datadir}/gEDA/examples
%{_datadir}/gEDA/scheme
%{_datadir}/gEDA/bitmap
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/gschem-*


%changelog
* Sun Jan 06 2008 trem <trem@mandriva.org> 20071231-1mdv2008.1
+ Revision: 146080
- don't use version number (1.2.1), instead use date (20071231)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Mon May 21 2007 Olivier Thauvin <nanardon@mandriva.org> 20070216-1mdv2008.0
+ Revision: 28988
- 20070216


* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 20061020-2mdv2007.0
+ Revision: 122060
- rebuild

* Thu Dec 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20061020-1mdv2007.1
+ Revision: 96672
- v 20061020

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-2mdv2007.0
+ Revision: 53596
- rebuild
- Import geda-gschem

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Wed Oct 05 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820

* Tue Apr 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111

